Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.http.impl.nio.reactor
Interface SSLIOSessionHandler

Deprecated. (4.2) Use `SSLSetupHandler`

    @Deprecated
    public interface SSLIOSessionHandler

Callback interface that can be used to customize various aspects of the TLS/SSL protocol.

Since:
  4.0

Method Summary
`void` | `initalize(SSLEngine sslengine, HttpParams params)` Deprecated. Triggered when the SSL connection is being initialized.
`void` | `verify(SocketAddress remoteAddress, SSLSession session)` Deprecated. Triggered when the SSL connection has been established and initial SSL handshake has been successfully completed.

Method Detail

### initalize

    void initalize(SSLEngine sslengine,
                   HttpParams params)
                   throws SSLException

  Deprecated.
  Triggered when the SSL connection is being initialized. Custom handlers can use this callback to customize properties of the `SSLEngine` used to establish the SSL session.

  Parameters:
    `sslengine` - the SSL engine.
    `params` - HTTP parameters.
  Throws:
    `SSLException` - if case of SSL protocol error.

### verify

    void verify(SocketAddress remoteAddress,
                SSLSession session)
                throws SSLException

  Deprecated.
  Triggered when the SSL connection has been established and initial SSL handshake has been successfully completed. Custom handlers can use this callback to verify properties of the `SSLSession`. For instance this would be the right place to enforce SSL cipher strength, validate certificate chain and do hostname checks.

  Parameters:
    `remoteAddress` - the remote address of the connection.
    `session` - newly created SSL session.
  Throws:
    `SSLException` - if case of SSL protocol error.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005–2021 The Apache Software Foundation. All rights reserved.